Skip to content
Start here

Create new URL submissions

client.BrandProtection.Submit(ctx, body) (*BrandProtectionSubmitResponse, error)
POST/accounts/{account_id}/brand-protection/submit

Return new URL submissions

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
body BrandProtectionSubmitParams
AccountID param.Field[string]
minLength1
ReturnsExpand Collapse
type BrandProtectionSubmitResponse struct{…}
SkippedURLs []map[string, unknown]optional
SubmittedURLs []map[string, unknown]optional

Create new URL submissions

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.BrandProtection.Submit(context.TODO(), brand_protection.BrandProtectionSubmitParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.SkippedURLs)
}
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}
Returns Examples
{
  "skipped_urls": [
    {
      "foo": "bar"
    }
  ],
  "submitted_urls": [
    {
      "foo": "bar"
    }
  ]
}